Page MenuHomePhabricator

Special:ContentTranslationStats is blank if JavaScript is not enabled (or RL unsupported)
Closed, ResolvedPublic

Description

Disable JavaScript and visit https://ca.wikipedia.org/wiki/Especial:ContentTranslationStats

Result: the page is blank except for its h1 heading.

Expected: output 'cx-javascript' warning like specials/SpecialContentTranslation.php

Note you also need to be running a browser that ResourceLoader supports. I filed T97691: Standardise "This page requires JavaScript / Unsupported browser" message for js-only features for core to implement this check.

Event Timeline

Spage raised the priority of this task from to Low.
Spage updated the task description. (Show Details)
Spage added a project: ContentTranslation.
Spage added a subscriber: Spage.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 30 2015, 8:18 PM

Change 208595 had a related patch set uploaded (by KartikMistry):
Add No JavaScript warning in Special:CXStats

https://gerrit.wikimedia.org/r/208595

Change 206373 had a related patch set uploaded (by KartikMistry):
Special:CXStats - use same full screen layout of Special:CX

https://gerrit.wikimedia.org/r/206373

Change 208595 abandoned by KartikMistry:
Add No JavaScript warning in Special:CXStats

Reason:
Already addressed in 206373

https://gerrit.wikimedia.org/r/208595

santhosh claimed this task.May 5 2015, 2:09 PM
santhosh added a project: LE-Sprint-86.
santhosh set Security to None.
santhosh moved this task from Backlog to In Review on the LE-Sprint-86 board.

Change 206373 merged by jenkins-bot:
Special:CXStats - use same full screen layout of Special:CX

https://gerrit.wikimedia.org/r/206373

santhosh moved this task from In Review to Done on the LE-Sprint-86 board.May 16 2015, 1:19 PM
santhosh closed this task as Resolved.May 25 2015, 8:16 AM